Skip to main content
GET
/
api
/
v1
/
account
/
profile
Get Profile
curl --request GET \
  --url https://api.example.com/api/v1/account/profile
{
  "id": 123,
  "email": "<string>",
  "tron_address": "<string>",
  "balance_trx": "<string>",
  "totp_enabled": true,
  "created_at": "<string>"
}

Documentation Index

Fetch the complete documentation index at: https://docs.tronrental.com/llms.txt

Use this file to discover all available pages before exploring further.

Get Profile

Returns your account profile information.

Response

id
number
User ID
email
string
Email address (if set)
tron_address
string
Linked TRON address (if set)
balance_trx
string
Account balance in TRX
totp_enabled
boolean
Whether 2FA is enabled
created_at
string
Account creation timestamp

Example

curl https://api.tronrental.com/v1/account/profile \
  -H "X-API-Key: your_api_key"
Response
{
  "id": 1,
  "email": "user@example.com",
  "tron_address": "TYourAddress...",
  "balance_trx": "150.50",
  "totp_enabled": false,
  "created_at": "2026-01-15T10:00:00Z"
}